httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From trei...@livesoftware.com
Subject Re: version info at runtime
Date Fri, 19 Feb 1999 18:33:20 GMT

"Ralf S. Engelschall" <rse@engelschall.com> writes:

> You can either use the low-level MODULE_MAGIC_NUMBER_MAJOR and
> MODULE_MAGIC_NUMBER_MINOR defines which can be used for granular matching or
> match the version inside the ap_get_server_version() string for high-level
> matching. I recommend you to use the MODULE_MAGIC_NUMBER_xx stuff.

These are preprocessor definitions, I need runtime info.  Don't sweat
it, I got my module working under both 1.3.[123] and 1.3.4 by some
trickery that didn't require runtime version info.  Thanks anyways,

--
Tom Reilly
Live Software, Inc
http://www.livesoftware.com


Mime
View raw message